Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1450638 - [abrt] gnome-font-viewer: gtk_header_bar_pack(): gnome-font-viewer killed by signal 11
Summary: [abrt] gnome-font-viewer: gtk_header_bar_pack(): gnome-font-viewer killed by ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-font-viewer
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rui Matos
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:194f5a032787c4f47e7c0071029...
Depends On:
Blocks: F26FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2017-05-14 09:48 UTC by Joachim Frieben
Modified: 2017-06-09 19:04 UTC (History)
5 users (show)

Fixed In Version: gnome-font-viewer-3.24.0-2.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-09 19:04:55 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2017-05-14 09:48 UTC, Joachim Frieben
no flags Details
File: cgroup (deleted)
2017-05-14 09:48 UTC, Joachim Frieben
no flags Details
File: core_backtrace (deleted)
2017-05-14 09:48 UTC, Joachim Frieben
no flags Details
File: cpuinfo (deleted)
2017-05-14 09:48 UTC, Joachim Frieben
no flags Details
File: dso_list (deleted)
2017-05-14 09:48 UTC, Joachim Frieben
no flags Details
File: environ (deleted)
2017-05-14 09:48 UTC, Joachim Frieben
no flags Details
File: exploitable (deleted)
2017-05-14 09:48 UTC, Joachim Frieben
no flags Details
File: limits (deleted)
2017-05-14 09:48 UTC, Joachim Frieben
no flags Details
File: maps (deleted)
2017-05-14 09:48 UTC, Joachim Frieben
no flags Details
File: open_fds (deleted)
2017-05-14 09:48 UTC, Joachim Frieben
no flags Details
File: proc_pid_status (deleted)
2017-05-14 09:48 UTC, Joachim Frieben
no flags Details
File: var_log_messages (deleted)
2017-05-14 09:48 UTC, Joachim Frieben
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 782738 0 None None None 2017-05-17 14:20:10 UTC

Description Joachim Frieben 2017-05-14 09:48:25 UTC
Version-Release number of selected component:
gnome-font-viewer-3.24.0-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-font-viewer --gapplication-service
crash_function: gtk_header_bar_pack
executable:     /usr/bin/gnome-font-viewer
journald_cursor: s=83ef2862ca5d465285856445e1a3fe37;i=25f51;b=48d768ee2e224fdf91a817d50ec83c01;m=3409d3e27;t=54f627ef08868;x=4a105acbd690d02b
kernel:         4.11.0-2.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 gtk_header_bar_pack at gtkheaderbar.c:1648
 #1 font_view_application_do_open at font-view.c:555
 #2 query_info_ready_cb at font-view.c:746
 #3 g_task_return_now at gtask.c:1145
 #4 complete_in_idle_cb at gtask.c:1159
 #9 g_main_context_iteration at gmain.c:4021
 #10 g_application_run at gapplication.c:2381

Comment 1 Joachim Frieben 2017-05-14 09:48:30 UTC
Created attachment 1278590 [details]
File: backtrace

Comment 2 Joachim Frieben 2017-05-14 09:48:32 UTC
Created attachment 1278591 [details]
File: cgroup

Comment 3 Joachim Frieben 2017-05-14 09:48:33 UTC
Created attachment 1278592 [details]
File: core_backtrace

Comment 4 Joachim Frieben 2017-05-14 09:48:35 UTC
Created attachment 1278593 [details]
File: cpuinfo

Comment 5 Joachim Frieben 2017-05-14 09:48:37 UTC
Created attachment 1278594 [details]
File: dso_list

Comment 6 Joachim Frieben 2017-05-14 09:48:38 UTC
Created attachment 1278595 [details]
File: environ

Comment 7 Joachim Frieben 2017-05-14 09:48:39 UTC
Created attachment 1278596 [details]
File: exploitable

Comment 8 Joachim Frieben 2017-05-14 09:48:41 UTC
Created attachment 1278597 [details]
File: limits

Comment 9 Joachim Frieben 2017-05-14 09:48:43 UTC
Created attachment 1278598 [details]
File: maps

Comment 10 Joachim Frieben 2017-05-14 09:48:44 UTC
Created attachment 1278599 [details]
File: open_fds

Comment 11 Joachim Frieben 2017-05-14 09:48:46 UTC
Created attachment 1278600 [details]
File: proc_pid_status

Comment 12 Joachim Frieben 2017-05-14 09:48:47 UTC
Created attachment 1278601 [details]
File: var_log_messages

Comment 13 Jiri Eischmann 2017-05-17 09:40:56 UTC
Similar problem has been detected:

I tried to open an otf file with the SourceSansPro-Light font.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-font-viewer --gapplication-service
crash_function: gtk_header_bar_pack
executable:     /usr/bin/gnome-font-viewer
journald_cursor: s=a63dfcab0f484b6ab1b8ef47c7694bd2;i=7f4b;b=2168ab84b6e5430e9b29bae59352ced7;m=e181620a;t=54fb4f7c41370;x=ee3ee8b08252935d
kernel:         4.11.0-2.fc26.x86_64
package:        gnome-font-viewer-3.24.0-1.fc26
reason:         gnome-font-viewer killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Jiri Eischmann 2017-05-17 10:04:07 UTC
Reported upstream: https://bugzilla.gnome.org/show_bug.cgi?id=782738

We also identified the commit which most likely causes the crash.

Comment 15 Fedora Blocker Bugs Application 2017-05-17 10:07:12 UTC
Proposed as a Blocker for 26-final by Fedora user eischmann using the blocker tracking app because:

 I'm proposing this as a release blocker for Final because GNOME Font Viewer is a pre-installed application and opening a font file to view and install is a fundamental feature of it.

Comment 16 Fedora Update System 2017-05-21 19:54:03 UTC
gnome-font-viewer-3.24.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1d5ee3c3a7

Comment 17 Fedora Update System 2017-05-22 16:38:57 UTC
gnome-font-viewer-3.24.0-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1d5ee3c3a7

Comment 18 Adam Williamson 2017-06-05 18:49:26 UTC
Discussed at 2017-06-05 blocker review meeting: https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2017-06-05/f26-blocker-review.2017-06-05-16.01.html . Accepted as a blocker as a violation of Final criterion "All applications that can be launched using the standard graphical mechanism of a release-blocking desktop after a default installation of that desktop must start successfully and withstand a basic functionality test."

Comment 19 Fedora Update System 2017-06-09 19:04:55 UTC
gnome-font-viewer-3.24.0-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.